"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.nco = void 0;
const is_null_or_undefined_1 = require("./is-null-or-undefined");
/**
 * nco
 * @example
 * nco(null, 1) // => 1
 * nco(1, 2) // => 1
 */
const nco = (variable, defaultValue) => (0, is_null_or_undefined_1.isNullOrUndefined)(variable) ? defaultValue : variable;
exports.nco = nco;
