"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tryJson = void 0;
const is_json_1 = require("./is-json");
/**
 * Tries to parse JSON, if is JSON
 * @example
 * tryJson('[1,2]') // => [ 1, 2 ]
 * tryJson([ 1, 2 ]) // => [ 1, 2 ]
 */
const tryJson = (o) => {
    const m = o;
    if ((0, is_json_1.isJson)(m)) {
        return JSON.parse(m);
    }
    return o;
};
exports.tryJson = tryJson;
