"use strict";
// TODO?: make variadic
Object.defineProperty(exports, "__esModule", { value: true });
exports.unzip = void 0;
/**
 * Takes a list of pairs
 * and returns two lists of first and second elements
 * @example
 * unzip([ [ 1, 1 ], [ 2, 2 ]]) // => [ [ 1, 2 ], [ 1, 2 ] ]
 */
const unzip = (xs) => {
    const as = [];
    const bs = [];
    xs.forEach((x, i) => {
        as[i] = x[0];
        bs[i] = x[1];
    });
    return [as, bs];
};
exports.unzip = unzip;
