"use strict";
/**
 * Takes a camelCase string and returns one in lisp-case
 * @example
 * camelCaseToLispCase('fooBar') // => 'foo-bar'
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.camelCaseToLispCase = void 0;
const camelCaseToLispCase = (str) => str.replace(/[A-Z]/g, (match) => '-' + match.toLowerCase()).toLowerCase();
exports.camelCaseToLispCase = camelCaseToLispCase;
