"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.notElem = void 0;
const elem_1 = require("./elem");
/**
 * The opposite of `elem`
 *
 * Returns true if the element is not in the string or array
 * @example
 * notElem('a', 'asdf') // => false
 * notElem('b', 'asdf') // => true
 */
const notElem = (el, ls) => !(0, elem_1.elem)(el, ls);
exports.notElem = notElem;
